Package org.tmatesoft.svn.core.wc2

# Enum ISvnAddParameters.Action

java.lang.Object
java.lang.Enum<ISvnAddParameters.Action>
org.tmatesoft.svn.core.wc2.ISvnAddParameters.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<ISvnAddParameters.Action>`, `java.lang.constant.Constable`

Enclosing interface:
  `ISvnAddParameters`

public static enum ISvnAddParameters.Action extends Enum<ISvnAddParameters.Action>
Describes an action add operation should undertake in case of a inconsistent EOLs. This can be:

- ADD_AS_BINARY - Rules to add a file as binary.
- ADD_AS_IS - Rules to add a file ad is.
- REPORT_ERROR - Rules not to add file but to report an error, i.e. throw an exception

Version:
  1.7
Author:
  TMate Software Ltd.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD_AS_BINARY`
`ADD_AS_IS`
`REPORT_ERROR`

## Method Summary

Modifier and Type
Method
Description
`static ISvnAddParameters.Action`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ISvnAddParameters.Action[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADD_AS_BINARY

public static final ISvnAddParameters.Action ADD_AS_BINARY

### ADD_AS_IS

public static final ISvnAddParameters.Action ADD_AS_IS

### REPORT_ERROR

public static final ISvnAddParameters.Action REPORT_ERROR

## Method Details

### values

public static ISvnAddParameters.Action[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ISvnAddParameters.Action valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null